Renderer implementation which is based on the reveal.js library. This renderer supports horizontal as well as vertical navigation.

### Hierarchy

- ContentCentricRenderer
  - RevealJsRenderer

### Implements

- IRenderer

## Index

### Constructors

- constructor

### Properties

- Reveal
- channelId
- content
- scrollStrategy
- suggest

### Methods

- appendContent
- appendSuggest
- createNewSection
- init
- render
- renderElement
- wrapContent

## Constructors

### constructor

- new RevealJsRenderer(options?: undefined | __type, content?: HTMLElement, suggest?: HTMLElement): RevealJsRenderer

- Overrides ContentCentricRenderer.constructor

  - Defined in lib/renderer/RevealJsRenderer.ts:11

  #### Parameters

  - ##### Optional options: undefined | __type

  - ##### Optional content: HTMLElement

  - ##### Optional suggest: HTMLElement

  #### Returns RevealJsRenderer

## Properties

### Private Reveal

Reveal: any

- Defined in lib/renderer/RevealJsRenderer.ts:11

### Protected Optional channelId

channelId: undefined | string

Inherited from AbstractRenderer.channelId

- Defined in lib/renderer/AbstractRenderer.ts:11

### Protected content

content: HTMLElement

Inherited from AbstractRenderer.content

- Defined in lib/renderer/AbstractRenderer.ts:9

### scrollStrategy

scrollStrategy: "bottom" | "container" | function = this.bottomScrollStrategy

Inherited from ClassicRenderer.scrollStrategy

- Defined in lib/renderer/ClassicRenderer.ts:105

The scroll strategy is used to define the manner of scroll automation after the rendering of a renderable.

### Protected suggest

suggest: HTMLElement

Inherited from AbstractRenderer.suggest

- Defined in lib/renderer/AbstractRenderer.ts:10

## Methods

### appendContent

- appendContent(element: HTMLElement): void

- Implementation of IRenderer.appendContent

  Overrides AbstractRenderer.appendContent

  - Defined in lib/renderer/RevealJsRenderer.ts:110

  #### Parameters

  - ##### element: HTMLElement

  #### Returns void

### appendSuggest

- appendSuggest(element: HTMLElement): void

- Implementation of IRenderer.appendSuggest

  Inherited from AbstractRenderer.appendSuggest

  - Defined in lib/renderer/AbstractRenderer.ts:79

  #### Parameters

  - ##### element: HTMLElement

  #### Returns void

### Private createNewSection

- createNewSection(elements: HTMLElement[], sections: HTMLCollectionOf<HTMLElement>): HTMLElement[]

- - Defined in lib/renderer/RevealJsRenderer.ts:85

  #### Parameters

  - ##### elements: HTMLElement[]

  - ##### sections: HTMLCollectionOf<HTMLElement>

  #### Returns HTMLElement[]

### init

- init(channelId?: undefined | string): void

- Implementation of IRenderer.init

  Overrides ContentCentricRenderer.init

  - Defined in lib/renderer/RevealJsRenderer.ts:117

  #### Parameters

  - ##### Optional channelId: undefined | string

  #### Returns void

### render

- render(message: ISpecification | IRenderable, containerType?: IStackeable): HTMLElement[]

- Implementation of IRenderer.render

  Overrides AbstractRenderer.render

  - Defined in lib/renderer/RevealJsRenderer.ts:38

  Renders an element

  #### Parameters

  - ##### message: ISpecification | IRenderable

  - ##### Optional containerType: IStackeable

  #### Returns HTMLElement[]

### Protected renderElement

- renderElement(renderable: IRenderable, containerType?: IStackeable): HTMLElement[]

- Overrides ContentCentricRenderer.renderElement

  - Defined in lib/renderer/RevealJsRenderer.ts:52
  inheritdoc

  #### Parameters

  - ##### renderable: IRenderable

  - ##### Optional containerType: IStackeable

  #### Returns HTMLElement[]

### Static Private wrapContent

- wrapContent(content?: HTMLElement): HTMLElement

- - Defined in lib/renderer/RevealJsRenderer.ts:98

  #### Parameters

  - ##### Optional content: HTMLElement

  #### Returns HTMLElement

Generated using TypeDoc